Bug 247453 - devel/notcurses: Update to 1.5.2
Summary: devel/notcurses: Update to 1.5.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ports Security Team
URL: https://github.com/dankamongmen/notcu...
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-06-21 07:07 UTC by Nick Black
Modified: 2020-07-05 07:52 UTC (History)
2 users (show)

See Also:
vulcan: merge-quarterly?


Attachments
Upgrade to 1.5.2 (svn diff) (1.36 KB, patch)
2020-06-21 07:07 UTC, Nick Black
nickblack: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Black 2020-06-21 07:07:33 UTC
Created attachment 215837 [details]
Upgrade to 1.5.2 (svn diff)

I released Notcurses 1.5.2 yesterday, 2020-06-21. This release gets rid of the getrandom() call which kept Notcurses from building on FreeBSD 11, so I've removed that conditional logic from the Port makefile. This also adds the ncneofetch binary, which crashes on FreeBSD in this release :/ (I've already fixed this in trunk).

portlint -C shows 0 warnings / 0 errors.

please apply, thanks!
Comment 1 Lewis Cook freebsd_triage 2020-06-21 10:18:31 UTC
^Triage:

- If there is a changelog or release notes URL available for this version, please add it to the URL field

- Bugfix release, merge to quarterly branch
Comment 2 Automation User 2020-06-21 13:25:37 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/158490910
Comment 3 commit-hook freebsd_committer 2020-06-27 18:01:35 UTC
A commit references this bug:

Author: lwhsu
Date: Sat Jun 27 18:00:56 UTC 2020
New revision: 540627
URL: https://svnweb.freebsd.org/changeset/ports/540627

Log:
  Update to 1.5.2

  PR:		247453
  Submitted by:	Nick Black <nickblack@linux.com> (maintainer)

Changes:
  head/devel/notcurses/Makefile
  head/devel/notcurses/distinfo
  head/devel/notcurses/pkg-plist
Comment 4 Li-Wen Hsu freebsd_committer 2020-06-27 18:02:00 UTC
Ask approval for MFH.
Comment 5 Nick Black 2020-07-05 07:52:55 UTC
I'm about to push an update to 1.6.0, so I'll request MFH there, thanks!